| 0.9.9 API documentation

Functions
component_wise.hpp File Reference

Go to the source code of this file.

## Functions
template<typename genType >
GLM_FUNC_DECL genType::value_type | compAdd (genType const &v)
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMax (genType const &v)
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMin (genType const &v)
template<typename genType >
GLM_FUNC_DECL genType::value_type | compMul (genType const &v)
template<typename floatType , length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, floatType, Q > | compNormalize (vec< L, T, Q > const &v)
template<length_t L, typename T , typename floatType , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | compScale (vec< L, floatType, Q > const &v)

## Detailed Description

GLM_GTX_component_wise

Date
  2007-05-21 / 2011-06-07

Author
  Christophe Riccio

See also
  Core features (dependence)

Definition in file component_wise.hpp.